%define name        hylafax
%define version     4.1
%define release     16suse
%define src_ver     cvs20010720
%define htmldoc_rpm 1

%define initdir     /etc/rc.d/init.d
%define faxspool    %{_var}/spool/hylafax

Summary:   HylaFAX(tm) is a sophisticated enterprise strength fax package
Name:	   %{name}
Version:   %{version}
Release:   %{release}
Copyright: better than LGPL
Group:     Applications/Communications
Packager:  Darren Nickerson <darren@dazza.org>
URL:       http://www.hylafax.org/

#Source:    ftp://ftp.hylafax.org/hylafax/source/%{name}-%{version}.tar.gz
Source:   ftp://ftp.hylafax.org/hylafax/source/%{name}-%{src_ver}.tar.gz
Source1:   hylafax_rh.init
Source2:   hylafax_config
Source3:   hylafax_config.modem
Source4:   hylafax_setup.cache
Source5:   hylafax_setup.modem
Source6:   hylafax_daily.cron
Source7:   hylafax_hourly.cron
Source8:   hylafax_logrotate
Source9:   hylafax_README.rpm
Source10:  hylafax_hyla.conf

Patch:     faxcover-manpage-harmony2.patch
Patch1:    modemclasses.patch
Patch2:    destcontrols-fix.patch
Patch3:    tsi-fix.patch
Patch4:    class10.patch
Patch5:    tsi-fix-plus.patch
Patch6:    garbage-log.patch
Patch7:    class1sendmsgdelay.patch

BuildPrereq: libjpeg, libtiff
#Requires:    ghostscript >= 5.5  --- which package name?
Requires:    libtiff >= 3.5
Requires:    gawk
Conflicts:   mgetty-sendfax

BuildRoot: %{_tmppath}/%{name}-root

%description
HylaFAX(tm) is a sophisticated enterprise-strength fax package for 
class 1 and 2 fax modems on unix systems. It provides spooling
services and numerous supporting fax management tools. 
The fax clients may reside on machines different from the server
and client implementations exist for a number of platforms including 
windows.

%if %{htmldoc_rpm}
%package htmldoc
Summary: Documentation in HTML format for the HylaFAX fax server package.
Group:   Applications/Communications

%description htmldoc
This package contains documentation in HTML format for the HylaFAX
fax server package. It explains in detail how to build, configure 
and run the HylaFAX server.
%endif

%prep
#%setup -n %{name}-%{version}
%setup -n %{name}-%{src_ver}
%patch  -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -R
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
# - Can't use the configure macro because HylaFAX configure script does
#   not understand the config options used by that macro
# - --with-HTML is 'no' because the html dir is taken by the doc macro
./configure \
	--with-DIR_BIN=%{_bindir} \
	--with-DIR_SBIN=%{_sbindir} \
	--with-DIR_LIBEXEC=%{_sbindir} \
	--with-DIR_LIBDATA=%{_datadir}/fax \
	--with-DIR_LOCKS=%{_var}/lock \
	--with-TIFFBIN=%{_bindir} \
	--with-DIR_MAN=%{_mandir} \
	--with-PATH_GSRIP=%{_bindir}/gs \
	--with-DBLIBINC=%{_includedir} \
	--with-LIBTIFF="-ltiff -ljpeg -lz" \
	--with-DIR_SPOOL=%{faxspool} \
	--with-AFM=no \
	--with-AWK=/usr/bin/gawk \
	--with-PATH_VGETTY=/sbin/vgetty \
	--with-PATH_GETTY=/sbin/mgetty \
	--with-HTML=no \
	--with-DIR_LIB=%{_libdir} \
	--with-PAGESIZE=A4 \
	--with-PATH_DPSRIP=%{faxspool}/bin/ps2fax \
	--with-PATH_IMPRIP=%{_datadir}/fax/psrip \
	--with-SYSVINIT=%{initdir}/hylafax \
	--with-INTERACTIVE=no

# CFLAGS is set up by the HylaFAX configure script; setting it up here the
# standard way would break things. Since OPTIMIZER is included in CFLAGS
# by the HylaFAX configure system, it's used here in place of CFLAGS
#make CFLAGS="$RPM_OPT_FLAGS"
#make OPTIMIZER="$RPM_OPT_FLAGS"
make OPTIMIZER="-O2 -m486 -fno-strength-reduce"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# install: make some dirs...
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/{cron.daily,cron.hourly,logrotate.d} 
mkdir -p -m 755 $RPM_BUILD_ROOT%{initdir}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_bindir}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_libdir}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/fax
mkdir -p -m 755 $RPM_BUILD_ROOT%{faxspool}/config/defaults

# install: binaries and man pages 
# FAXUSER, FAXGROUP, SYSUSER and SYSGROUP are set to the current user to
# avoid warnings about chown/chgrp if the user building the SRPM is not root; 
# they are set to the correct values with the RPM attr macro
%makeinstall -e \
	FAXUSER=`id -u` \
	FAXGROUP=`id -g` \
	SYSUSER=`id -u` \
	SYSGROUP=`id -g` \
	BIN=$RPM_BUILD_ROOT%{_bindir} \
	SBIN=$RPM_BUILD_ROOT%{_sbindir} \
	LIBDATA=$RPM_BUILD_ROOT%{_datadir}/fax \
	LIBEXEC=$RPM_BUILD_ROOT%{_sbindir} \
	SPOOL=$RPM_BUILD_ROOT%{faxspool} \
	MAN=$RPM_BUILD_ROOT%{_mandir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# install: remaining files
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{initdir}/hylafax
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{faxspool}/config/defaults/config
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{faxspool}/config/defaults/config.modem
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{faxspool}/config/defaults/setup.cache
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{faxspool}/config/defaults/setup.modem
install -m 644 %{SOURCE9} ./README.rpm
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/fax/hyla.conf

# If we have to use the sbindir macro, we have to use it everywhere.
# (Right now it's a noop)
sed 's|/usr/sbin|%{_sbindir}|' %{SOURCE6} > \
		$RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/hylafax
sed 's|/usr/sbin|%{_sbindir}|' %{SOURCE7} > \
		$RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/hylafax
sed 's|/var/spool/hylafax|%{faxspool}|' %{SOURCE8} > \
		$RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/hylafax

(
cd $RPM_BUILD_ROOT%{faxspool}/bin;
ln -s ps2fax.gs ps2fax;
ln -s pdf2fax.gs pdf2fax;
)

# Since now the html doc dir is managed by the doc macro and not installed
# by HylaFAX, the CVS stuff need to be deleted
rm -rf $(find ./html -type d -name CVS)
rm -f ./html/{.cvsignore,Makefile.in}

# Some tools (manpage, man2html, unquote)
rm -rf ./html/tools

# If Linux, what else...? :-), delete unnecessary files
%ifos linux
rm -f $RPM_BUILD_ROOT%{_sbindir}/{faxsetup.irix,faxsetup.bsdi}
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add hylafax
/sbin/ldconfig

%preun
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del hylafax
	/sbin/service hylafax stop >/dev/null 2>&1 || :
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
	/sbin/service hylafax condrestart >/dev/null 2>&1 || :
fi


%if %{htmldoc_rpm}
%files htmldoc
%defattr(-,root,root)
%doc html
%endif

%files
%defattr(-,root,root)
%if %{htmldoc_rpm}
%doc CHANGES CONTRIBUTORS COPYRIGHT README TODO VERSION README.rpm
%else
%doc CHANGES CONTRIBUTORS COPYRIGHT README TODO VERSION README.rpm html
%endif
%attr(755,root,root) %config %{initdir}/hylafax
%attr(644,root,root) %config %{_sysconfdir}/logrotate.d/hylafax
%attr(755,root,root) %config %{_sysconfdir}/cron.daily/hylafax
%attr(755,root,root) %config %{_sysconfdir}/cron.hourly/hylafax
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/*
%attr(644,root,root) %{_mandir}/*/*
%attr(755,root,root) %dir %{_datadir}/fax
#%{_datadir}/fax/*
%attr(-,root,root) %config(noreplace) %{_datadir}/fax/faxcover.ps
%attr(-,root,root) %config(noreplace) %{_datadir}/fax/faxmail.ps
%attr(-,root,root) %config(noreplace) %{_datadir}/fax/hfaxd.conf
%attr(-,root,root) %config(noreplace) %{_datadir}/fax/hyla.conf
%attr(-,root,root) %config(noreplace) %{_datadir}/fax/pagesizes
%attr(-,root,root) %config(noreplace) %{_datadir}/fax/typerules
%attr(-,uucp,uucp) %dir %{faxspool}
%attr(-,uucp,uucp) %dir %{faxspool}/archive
%attr(-,uucp,uucp) %dir %{faxspool}/bin
%attr(-,uucp,uucp) %dir %{faxspool}/client
%attr(-,uucp,uucp) %dir %{faxspool}/config
#%attr(-,uucp,uucp) %dir %{faxspool}/config/defaults
%attr(-,uucp,uucp) %dir %{faxspool}/dev
%attr(-,uucp,uucp) %dir %{faxspool}/docq
%attr(-,uucp,uucp) %dir %{faxspool}/doneq
%attr(-,uucp,uucp) %dir %{faxspool}/etc
%attr(-,uucp,uucp) %dir %{faxspool}/info
%attr(-,uucp,uucp) %dir %{faxspool}/log
%attr(-,uucp,uucp) %dir %{faxspool}/pollq
%attr(-,uucp,uucp) %dir %{faxspool}/recvq
%attr(-,uucp,uucp) %dir %{faxspool}/sendq
%attr(-,uucp,uucp) %dir %{faxspool}/status
%attr(-,uucp,uucp) %dir %{faxspool}/tmp
%attr(-,root,root) %{faxspool}/bin/*
%attr(-,root,root) %{faxspool}/config/*
%attr(-,root,root) %{faxspool}/etc/dpsprinter.ps
%attr(-,root,root) %{faxspool}/etc/cover.templ
%attr(-,root,root) %config(noreplace) %{faxspool}/etc/dialrules*
%attr(-,uucp,uucp) %{faxspool}/etc/lutRS18.pcf
%attr(-,uucp,uucp) %config(noreplace) %{faxspool}/etc/hosts.hfaxd
%attr(-,uucp,uucp) %{faxspool}/FIFO


%changelog
* Tue Jul 24 2001 Lee Howard <faxguy@deanox.com>
  - add Vyacheslav's tsi-fix-plus.patch
  - add fcerror-fix.patch

* Fri Jul 20 2001 Lee Howard <faxguy@deanox.com>
  - update to CVS and remove tsi-fix.patch

* Thu Jun 28 2001 Lee Howard <faxguy@deanox.com>
  - add faxqclean-fix.patch

* Wed Jun 21 2001 Lee Howard <faxguy@deanox.com>
  - update to CVS=4.1rc2 and patches:
  - sendswitchingdelay.patch
  - bulkfax.patch

* Wed Jun 13 2001 Lee Howard <faxguy@deanox.com>
  - update to current CVS and patches:
  - destcontrol-modem.patch
  - eom_fix.patch
  - hdlcframe_fix.patch

* Sat Jun 02 2001 Lee Howard <faxguy@deanox.com>
  - update to current CVS and patches:
  - faxrcvd enhancement
  - caller-ID enhancement
  - modem compatibility enhancments

* Thu Feb 22 2001 Darren Nickerson <darren@dazza.org>
  - update to hylafax-4.1beta3

* Sun Dec 03 2000 Darren Nickerson <darren@dazza.org>
  - update to cvs-20001203
  - break out VRes tweak into hyla.conf for clarity. Makes a nice
    example of how to use hyla.conf as well.

* Fri Sep 01 2000 Darren Nickerson <darren@dazza.org>
  - remove SysVinit patch due to clash with Tim Rice's work
  - hard-wire gawk dependency to prevent it defaulting to mawk, which
    is not installed by default on some systems
  - use system zlib rather than HylaFAX's bundled one
  - remove typerules and ps2fax patches, after committing them to CVS
  - Update README.RPM

* Wed Aug 23 2000 Darren Nickerson <darren@dazza.org>
  - remove libgr dependencies for greater RPM portability

* Mon Aug 21 2000 Giulio Orsero <giulioo@pobox.com>
  - new 'rh7/rpm4 features': uses FHS macros, binaries stripping and man
    pages gzipping handled by rpm policies, uses /sbin/service.
  - Red Hat 6.x/7.x style init script (colors, condrestart)
  - does not use caldera's lisa because I cannot test it.
  - xferfaxlog and lutRS18.pcf no more tagged as config files
  - RPM does not own /etc, /usr, ... anymore, just the files in them
  - no more AFM dir and links (textfmt does not need them since 4.1b1)
  - page size set to A4
  - does not use HTML/CGI configure directive, takes html directly from source
  - configure patched to run 'unattended' 
  - no more in RPM: manpage, man2html, unquote, faxsetup.irix, faxsetup.bsdi
  - uses the OPTIMIZER variable to pass RPM_OPT_FLAGS to 'make'

* Sun May 14 2000 Darren Nickerson <darren@dazza.org>
  - standardize on libtiff >= 3.5 to resolve run length (16->32 bits)
  - fixed modes of .dso files in dso.patch to silence ldd warning

* Sun Mar 18 2000 Darren Nickerson <darren@dazza.org>
  - instead of beta2 + patches, begin using CVS snapshot
  - changed LIBTIFF linker line to include -ljpeg -lz, suggested by Matthew
	Rice <matt@starnix.com>, and Erik Ratcliffe <erik@calderasystems.com>

* Fri Nov 5 1999 Matthew Rice <matt@starnix.com>
  - hylafax-4.1beta2.tar.gz
  - added lisa support
  - fix for installing into a build root

* Wed Jun 16 1999 Darren Nickerson <darren@info.tpc.int>
  - hylafax-4.1beta1.tar.gz
  - added chkconfig support
  - removed libjpeg linking and dependency

* Tue Sep 29 1998 Darren Nickerson <darren@info.tpc.int>
  - added security fix proposed by Carsten Hoeger <choeger@suse.de> for
	potential race condition  reported by Tobias Richter
	<tsr@cave.isdn.cs.tu-berlin.de>
* Wed Sep 9 1998 Darren Nickerson <darren@info.tpc.int>
  - built the RPM on Redhat-5.0 to avoid dependency problems with libjpeg
	and libstdc++. 
* Tue May 26 1998 Darren Nickerson <darren@info.tpc.int>
  - removed .orig files from patch - they were 90 percent of it
  - removed oversimplified /dev/modem assumptions
  - faxcron was invoking xferstats, instead of new xferfaxstats - fixed
  - revised faxcron's manpage
  - HylaFAX was still writing etc/xferlog. Changed to etc/xferfaxlog as 
	advertised by all supporting docs and scripts.
  - added hourly faxqclean and daily faxcron cron jobs, and xferlog rotation
  - hfaxd no longer hard-wired as running from inetd, faxsetup will handle this
  - no longer assumes /dev/modem and blindly inserts inittab entry
  - change naming scheme to differentiate rh4/rh5
  - move documentation back into main rpm, instead of sub-packages
  - added Robert Colquhoun's textfmt-mailer patch
  - increased margin on LHS, was too close and getting clipped
  - make faxsetup warn that modem class = modem pool, not Class1/2/2.0
  - use HylaFAX's init script, startup with new protocol only and no snpp
  - added -DFIXEDMEDIA to last command in ps2fax.gs, as posted
	by "Alan Sparks" <asparks@nss.harris.com>
  - added fixhtml patch, removed release from the doc dir, now just version
  - added Nico's skel patch, for class1/2/2.0 modem prototype files
  - added Robert Colquhoun's patch to hfaxd's tagline generation
  - fixes to build on 5.1, contributed by Richard Sharpe <sharpe@ns.aus.com>
  - faxrcvd now treated as a config file, preserved as .rpmsave
  - fixed ghostscript dependency to require fonts-std, not fonts.
  - remove requirement for mawk - use gawk instead.
  - faxsetup now detects is hfaxd is not driven from inetd, and starts it
	when restarting faxq using SysV init script (Robert Colquhoun)
  

* Wed Mar 04 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - took ldconfig call out ouf %install section
  - minimized and compressed patch
  - arch rpm buildable as ordinary user
  - diverted subpackages for [un]compressed man pages
  - diverted subpackage for html documentation

* Thu Jan 22 1998 Bernd Johannes Wuebben <wuebben@kde.org>
  - hylafax-4.0-8
  - A previous version of this spec file was handed to me by 
    Ramana Juvvadi (juvvadi@lekha.org)  
    who unfortunately can no longer provide rpms of hylafax. 
    Thanks so much for you work Ramana!
    Bernd

* Fri Oct 24 1997 Ramana Juvvadi (juvvadi@lekha.org)
  - hylafax-4.0-6
  

